import Router from 'express-promise-router'
import { environment } from '../api/environment'
import path from 'path'

export const apiDocsRouter = Router()
  .get('/', async (req, res) => {
    return res.render('api-docs-page', {
      title: 'API Docs',
      specUrl: `${environment.API_URL}/docs/v1/openapi.json`,
    })
  })
  .get('/openapi.json', async (req, res) => {
    return res.download(path.join(__dirname, '/../../docs/bundle/openapi.json'))
  })
