import Router from 'express-promise-router'
import { AuthController } from '@/core/api/controllers/auth.controller'
import { authMiddleware } from '@/core/api/middlewares/auth.middleware'
import { AuthValidationSchema } from '../validation-schemas/auth.validation-schema'

export const authRouter = Router()
  .get('/get-my-profile', authMiddleware(), AuthController.getMyProfile)
  .post('/sign-in', AuthValidationSchema.signIn, AuthController.signIn)
  .post('/sign-out', authMiddleware(), AuthController.signOut)
  .post('/forgot-password', AuthValidationSchema.forgotPassword, AuthController.forgotPassword)
  .post('/reset-password', AuthValidationSchema.resetPassword, AuthController.resetPassword)
