import Router from 'express-promise-router'

import { DefaultFieldValidationSchema } from '../validation-schemas/default-field.validation-schema'
import { DefaultFieldController } from '../controllers/default-field.controller'
import { validateIdExistsMiddleware } from '@/core/api/middlewares/validate-id-exists.middleware'

import { adminAuthMiddleware } from '../middlewares/admin-auth.middleware'

export const defaultFieldRouter = Router()
  .use(adminAuthMiddleware) // role.superadmin
  .post('/', DefaultFieldValidationSchema.create, DefaultFieldController.create)
  .use('/:id', validateIdExistsMiddleware('default-field'))
  .patch('/:id', DefaultFieldValidationSchema.update, DefaultFieldController.update)
  .delete('/:id', DefaultFieldController.delete)
  .get('/:id', DefaultFieldController.show)
  .get('/', DefaultFieldController.list)
