import { Joi, Segments, celebrate } from 'celebrate'

export class AuthValidationSchema {
  static signIn = celebrate({
    [Segments.BODY]: Joi.object({
      rut: Joi.string().required(),
      password: Joi.string().required(),
    }),
  })

  static forgotPassword = celebrate({
    [Segments.BODY]: Joi.object({
      email: Joi.string().email({ tlds: false }).required(),
    }),
  })

  static resetPassword = celebrate({
    [Segments.BODY]: Joi.object({
      newPassword: Joi.string().required(),
      token: Joi.string().required(),
    }),
  })
}
