import { DefaultFieldType } from '@/libs/domain/entities/master/_types'
import { Joi, Segments, celebrate } from 'celebrate'

export class DefaultFieldValidationSchema {
  static create = celebrate({
    [Segments.BODY]: Joi.object({
      label: Joi.string().required(),
      placeholder: Joi.string().required(),
      span: Joi.number(),
      order: Joi.number(),
      type: Joi.string()
        .valid(...Object.values(DefaultFieldType))
        .required(),
      categoryId: Joi.string().uuid({ version: 'uuidv4' }),
    }),
  })

  static update = celebrate({
    [Segments.BODY]: Joi.object({
      label: Joi.string(),
      placeholder: Joi.string(),
      span: Joi.number(),
      order: Joi.number(),
      type: Joi.string().valid(...Object.values(DefaultFieldType)),
      categoryId: Joi.string().uuid({ version: 'uuidv4' }),
    }),
  })
}
