import { Joi, Segments, celebrate } from 'celebrate'

export class DriverValidationSchema {
  static create = celebrate({
    [Segments.BODY]: Joi.object({
      user: Joi.object({
        rut: Joi.string().required(),
        password: Joi.string().required(),
        email: Joi.string().email({ tlds: false }).required(),
        firstName: Joi.string().required(),
        lastName: Joi.string().required(),
        phoneNumber: Joi.string().required(),
        isActive: Joi.boolean(),
      }).required(),
      transportCompanyId: Joi.string().uuid({ version: 'uuidv4' }).required(),
    }).required(),
  })

  static update = celebrate({
    [Segments.BODY]: Joi.object({
      user: Joi.object({
        rut: Joi.string(),
        password: Joi.string(),
        email: Joi.string().email({ tlds: false }),
        firstName: Joi.string(),
        lastName: Joi.string(),
        phoneNumber: Joi.string(),
        isActive: Joi.boolean(),
      }),
      transportCompanyId: Joi.string().uuid({ version: 'uuidv4' }),
    }),
  })
}
