import { DefaultFieldType } from '@/libs/domain/entities/master/_types'
import { Joi, Segments, celebrate } from 'celebrate'

export class FormTemplateValidationSchema {
  static update = celebrate({
    [Segments.BODY]: {
      fields: Joi.array()
        .items(
          Joi.object({
            id: Joi.string().uuid({ version: 'uuidv4' }),
            label: Joi.string().required(),
            placeholder: Joi.string().required(),
            isRequired: Joi.boolean().required(),
            isDefault: Joi.boolean().required(),
            span: Joi.number().required(),
            order: Joi.number().required(),
            type: Joi.string()
              .valid(...Object.values(DefaultFieldType))
              .required(),
          })
        )
        .min(1)
        .required(),
    },
  })
}
