import { Joi, Segments, celebrate } from 'celebrate'

export class TransportCompanyValidationSchema {
  static create = celebrate({
    [Segments.BODY]: Joi.object({
      rut: Joi.string().required(),
      legalName: Joi.string().required(),
      legalAddress: Joi.string().required(),
      phoneNumber: Joi.string().required(),
      email: Joi.string().required(),
    }),
  })

  static update = celebrate({
    [Segments.BODY]: Joi.object({
      rut: Joi.string(),
      legalName: Joi.string(),
      legalAddress: Joi.string(),
      phoneNumber: Joi.string(),
      email: Joi.string(),
    }),
  })
}
