@auth @sign-in
Feature: sign in

  Scenario: with existing admin employee credentials
    When I send a POST request to "/auth/sign-in" with body:
      """
      {
        "rut": "000000001",
        "password": "12345"
      }
      """
    Then I get a status code 200
    And I get a response body with a field "accessToken"

  Scenario: with existing customer credentials
    When I send a POST request to "/auth/sign-in" with body:
      """
      {
        "rut": "000000003",
        "password": "12345"
      }
      """
    Then I get a status code 200
    And I get a response body with a field "accessToken"


  Scenario: with non-existent credentials
    When I send a POST request to "/auth/sign-in" with body:
      """
      {
        "rut": "random_rut",
        "password": "12345"
      }
      """
    Then I get a status code 400

  Scenario: with incorrect credentials
    When I send a POST request to "/auth/sign-in" with body:
      """
      {
        "rut": "admin_employee@gmail.com",
        "password": "some_password"
      }
      """
    Then I get a status code 400
