@order @list

Feature: List orders

  Background:
    Given the system has a "order" with id "6edb99bf-c153-4760-b95c-28dd38a06fb5"
    And the system has a "order" with id "cf499cc3-af82-46be-a59e-44a3c94d997d"
    And the system has a "order" with:
      """
      {
        "id": "15f57a1e-0210-47e3-8d41-712b0b9f233b",
        "customer": {
          "id": "15613088-75b7-4d68-9d11-32e223126968"
        }
      }
      """
    And the system has a "order" with:
      """
      {
        "id": "fc1b1ac5-3678-48e0-bed2-8ffaf3373d97",
        "customer": {
          "id": "15613088-75b7-4d68-9d11-32e223126968"
        }
      }
      """

  Scenario Outline: all existing orders
    Given I log in as "<role>"
    When I send a GET request to "/orders"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "total": 4,
        "results": [
          {
            "id": "6edb99bf-c153-4760-b95c-28dd38a06fb5"
          },
          {
            "id": "cf499cc3-af82-46be-a59e-44a3c94d997d"
          },
          {
            "id": "15f57a1e-0210-47e3-8d41-712b0b9f233b"
          },
          {
            "id": "fc1b1ac5-3678-48e0-bed2-8ffaf3373d97"
          }
        ]
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |

  Scenario Outline: by customer authenticated
    Given I log in as "customer"
    When I send a GET request to "/orders"
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "total": 2,
        "results": [
          {
            "id": "15f57a1e-0210-47e3-8d41-712b0b9f233b",
            "customer": {
              "id": "15613088-75b7-4d68-9d11-32e223126968"
            }
          },
          {
            "id": "fc1b1ac5-3678-48e0-bed2-8ffaf3373d97",
            "customer": {
              "id": "15613088-75b7-4d68-9d11-32e223126968"
            }
          }
        ]
      }
      """
