import { Injectable } from '@/core/api/di/decorators'
import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { TenantCategoryEntity } from '@/libs/domain/entities/master/tenant-category.entity'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'

@Injectable()
export class CreateDefaultFieldUseCase {
  constructor(private readonly defaultFieldRepository: DefaultFieldRepository) {}

  async run({ categoryId, ...payload }: DefaultFieldEntity): Promise<DefaultFieldEntity> {
    const fields = await this.defaultFieldRepository.find()

    if (categoryId) {
      payload.category = {
        id: categoryId,
      } as TenantCategoryEntity
    }

    return this.defaultFieldRepository.save({
      ...payload,
      order: payload.order || fields.length + 1,
      span: payload.span || 24,
    })
  }
}
