import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { OffsetCriteria } from '@/libs/domain/criteria/criteria'
import { DriverEntity } from '@/libs/domain/entities/tenant/driver.entity'
import { DriverRepository } from '@/libs/domain/repositories/tenant/driver.repository'

@Injectable()
export class ListDriversUseCase {
  constructor(private readonly driverRepository: DriverRepository) {}

  async run(
    criteria: OffsetCriteria,
    { tenant }: RequestContext
  ): Promise<{ total: number; results: DriverEntity[] }> {
    return await this.driverRepository.findByOffsetCriteria(criteria, tenant.id)
  }
}
