import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { FormTemplateEntity } from '@/libs/domain/entities/tenant/form-template.entity'
import { NotFoundException } from '@/libs/domain/errors'
import { FormTemplateRepository } from '@/libs/domain/repositories/tenant/form-template.repository'

@Injectable()
export class ShowFormTemplateUseCase {
  constructor(private readonly formTemplateRepository: FormTemplateRepository) {}

  async run({ tenant }: RequestContext): Promise<FormTemplateEntity> {
    const formTemplate = await this.formTemplateRepository.findOne({}, tenant.id)
    if (!formTemplate) {
      throw new NotFoundException('Plantilla de formulario no encontrada.')
    }

    return formTemplate
  }
}
