import { Injectable } from '@/core/api/di/decorators'
import { TenantRepository } from '../../../domain/repositories/master/tenant.repository'

import { TenantEntity } from '../../../domain/entities/master/tenant.entity'

@Injectable()
export class GetTenantUseCase {
  constructor(private readonly tenantRepository: TenantRepository) {}

  async run(payload: Partial<TenantEntity>): Promise<TenantEntity | null> {
    const tenant = await this.tenantRepository.findOne({
      ...payload,
    })

    return tenant
  }
}
