import { Injectable } from '@/core/api/di/decorators'
import { UserRepository } from '../../../domain/repositories/tenant/user.repository'
import { BadRequestException } from '../../../domain/errors'
import { RequestContext } from '../../../domain/contexts/request.context'

@Injectable()
export class ValidateUserRutUseCase {
  constructor(private readonly userRepository: UserRepository) {}

  async run(rut: string, { tenant }: RequestContext): Promise<void> {
    const user = await this.userRepository.findOne({ rut }, tenant.id)

    if (user) {
      throw new BadRequestException('El rut se encuentra en uso.')
    }
  }
}
