import { environment } from '@/core/api/environment'
import { DataSource } from 'typeorm'
import path from 'path'

export const appDataSource = new DataSource({
  type: 'postgres',
  host: environment.POSTGRES_HOST,
  port: Number(environment.POSTGRES_PORT),
  username: environment.POSTGRES_USER,
  password: environment.POSTGRES_PASSWORD,
  database: environment.POSTGRES_DB,
  synchronize: false,
  logging: process.env.NODE_ENV === 'development',
  entities: [path.join(__dirname, '/schemas/**/*.schema.{js,ts}')],
  migrations: [path.join(__dirname, '/migrations/*.{js,ts}')],
})
