import { MigrationInterface, QueryRunner } from "typeorm";

export class Auto1714615734159 implements MigrationInterface {
    name = 'Auto1714615734159'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`CREATE TABLE "tenant"."form" ("fields" text NOT NULL, "id" uuid NOT NULL DEFAULT uuid_generate_v4(), "updatedAt" TIMESTAMP(3) WITH TIME ZONE NOT NULL DEFAULT now(), "createdAt" TIMESTAMP(3) WITH TIME ZONE NOT NULL DEFAULT now(), "tenantId" uuid NOT NULL, "orderId" uuid, CONSTRAINT "REL_1365cdd2c94b336d338e2c8f31" UNIQUE ("orderId"), CONSTRAINT "PK_8f72b95aa2f8ba82cf95dc7579e" PRIMARY KEY ("id"))`);
        await queryRunner.query(`CREATE INDEX "form_TENANT_ID" ON "tenant"."form" ("tenantId") `);
        await queryRunner.query(`CREATE TABLE "tenant"."form_template" ("fields" text NOT NULL, "id" uuid NOT NULL DEFAULT uuid_generate_v4(), "updatedAt" TIMESTAMP(3) WITH TIME ZONE NOT NULL DEFAULT now(), "createdAt" TIMESTAMP(3) WITH TIME ZONE NOT NULL DEFAULT now(), "tenantId" uuid NOT NULL, CONSTRAINT "PK_656844082de48d37a2c8fb7cfdb" PRIMARY KEY ("id"))`);
        await queryRunner.query(`CREATE INDEX "form_template_TENANT_ID" ON "tenant"."form_template" ("tenantId") `);
        await queryRunner.query(`ALTER TABLE "tenant"."form" ADD CONSTRAINT "FK_1365cdd2c94b336d338e2c8f319" FOREIGN KEY ("orderId") REFERENCES "tenant"."order"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "tenant"."form" DROP CONSTRAINT "FK_1365cdd2c94b336d338e2c8f319"`);
        await queryRunner.query(`DROP INDEX "tenant"."form_template_TENANT_ID"`);
        await queryRunner.query(`DROP TABLE "tenant"."form_template"`);
        await queryRunner.query(`DROP INDEX "tenant"."form_TENANT_ID"`);
        await queryRunner.query(`DROP TABLE "tenant"."form"`);
    }

}
