import { ConnectionEntity } from '@/libs/domain/entities/master/connection.entity'
import { TypeOrmBaseMasterRepository } from './_typeorm-base-master.repository'
import { ConnectionRepository } from '@/libs/domain/repositories/master/connection.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { connectionSchema } from '../../schemas/master/connection.schema'
import { Injectable } from '@/core/api/di/decorators'

@Injectable()
export class TypeOrmConnectionRepository
  extends TypeOrmBaseMasterRepository<ConnectionEntity>
  implements ConnectionRepository
{
  protected getSchema(): EntitySchema<ConnectionEntity> {
    return connectionSchema
  }

  protected getRelations(): Relations<ConnectionEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<ConnectionEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<ConnectionEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<ConnectionEntity> {
    return {}
  }
}
