import { SuperAdminEntity } from '@/libs/domain/entities/master/super-admin.entity'
import { TypeOrmBaseMasterRepository } from './_typeorm-base-master.repository'
import { SuperAdminRepository } from '@/libs/domain/repositories/master/super-admin.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { superAdminSchema } from '../../schemas/master/super-admin.schema'
import { Injectable } from '@/core/api/di/decorators'

@Injectable()
export class TypeOrmSuperAdminRepository
  extends TypeOrmBaseMasterRepository<SuperAdminEntity>
  implements SuperAdminRepository
{
  protected getSchema(): EntitySchema<SuperAdminEntity> {
    return superAdminSchema
  }

  protected getRelations(): Relations<SuperAdminEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<SuperAdminEntity> {
    return {
      select: {
        id: true,
        email: true,
        isActive: true,
        password: true,
        createdAt: true,
        updatedAt: true,
      },
    }
  }

  protected getFindOptions(): FindOptions<SuperAdminEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<SuperAdminEntity> {
    return {}
  }
}
