import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseMasterRepository } from './_typeorm-base-master.repository'
import { TenantCategoryEntity } from '@/libs/domain/entities/master/tenant-category.entity'
import { TenantCategoryRepository } from '@/libs/domain/repositories/master/tenant-category.repsitory'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { tenantCategorySchema } from '../../schemas/master/tenant-category.schema'

@Injectable()
export class TypeOrmTenantCategoryRepository
  extends TypeOrmBaseMasterRepository<TenantCategoryEntity>
  implements TenantCategoryRepository
{
  protected getSchema(): EntitySchema<TenantCategoryEntity> {
    return tenantCategorySchema
  }

  protected getRelations(): Relations<TenantCategoryEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<TenantCategoryEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<TenantCategoryEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<TenantCategoryEntity> {
    return {}
  }
}
