import { CustomerEntity } from '@/libs/domain/entities/tenant/customer.entity'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { CustomerRepository } from '@/libs/domain/repositories/tenant/customer.repository'
import { Injectable } from '@/core/api/di/decorators'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { customerSchema } from '../../schemas/tenant/customer.schema'

@Injectable()
export class TypeOrmCustomerRepository
  extends TypeOrmBaseTenantRepository<CustomerEntity>
  implements CustomerRepository
{
  protected getSchema(): EntitySchema<CustomerEntity> {
    return customerSchema
  }

  protected getRelations(): Relations<CustomerEntity> {
    return {
      user: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<CustomerEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<CustomerEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<CustomerEntity> {
    return {}
  }
}
