import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { OrderStatusHistoryEntity } from '@/libs/domain/entities/tenant/order-status-history.entity'
import { OrderStatusHistoryRepository } from '@/libs/domain/repositories/tenant/order-status-history.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { orderStatusHistorySchema } from '../../schemas/tenant/order-status-history.schema'

@Injectable()
export class TypeOrmOrderStatusHistoryRepository
  extends TypeOrmBaseTenantRepository<OrderStatusHistoryEntity>
  implements OrderStatusHistoryRepository
{
  protected getSchema(): EntitySchema<OrderStatusHistoryEntity> {
    return orderStatusHistorySchema
  }

  protected getRelations(): Relations<OrderStatusHistoryEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<OrderStatusHistoryEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<OrderStatusHistoryEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<OrderStatusHistoryEntity> {
    return {}
  }
}
