import { ConnectionEntity } from '@/libs/domain/entities/master/connection.entity'
import { BaseMasterEntitySchema } from './_base-master-schema'

export const connectionSchema = new BaseMasterEntitySchema<ConnectionEntity>({
  name: 'connection',
  columns: {
    dbHost: {
      type: String,
    },
    dbName: {
      type: String,
    },
    dbPassword: {
      type: String,
    },
    dbPort: {
      type: String,
    },
    dbUser: {
      type: String,
    },
  },
  relations: {
    tenant: {
      target: 'tenant',
      type: 'one-to-one',
      joinColumn: true,
    },
  },
})
