import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { BaseMasterEntitySchema } from './_base-master-schema'
import { DefaultFieldType } from '@/libs/domain/entities/master/_types'

export const defaultFieldSchema = new BaseMasterEntitySchema<DefaultFieldEntity>({
  name: 'defaultField',
  columns: {
    label: {
      type: String,
    },
    placeholder: {
      type: String,
    },
    span: {
      type: Number,
    },
    order: {
      type: Number,
    },
    type: {
      type: 'enum',
      enum: DefaultFieldType,
    },
  },

  relations: {
    category: {
      target: 'tenantCategory',
      type: 'many-to-one',
    },
  },
})
