import { TenantCategoryEntity } from '@/libs/domain/entities/master/tenant-category.entity'
import { BaseMasterEntitySchema } from './_base-master-schema'

export const tenantCategorySchema = new BaseMasterEntitySchema<TenantCategoryEntity>({
  name: 'tenantCategory',
  columns: {
    name: {
      type: String,
      unique: true,
    },
    description: {
      type: 'text',
      nullable: true,
    },
  },
  relations: {
    tenant: {
      target: 'tenant',
      type: 'one-to-many',
      inverseSide: 'category',
    },
    defaultFields: {
      target: 'defaultField',
      type: 'one-to-many',
      inverseSide: 'category',
    },
  },
})
