import { TenantEntity } from '@/libs/domain/entities/master/tenant.entity'
import { BaseMasterEntitySchema } from './_base-master-schema'

export const tenantSchema = new BaseMasterEntitySchema<TenantEntity>({
  name: 'tenant',
  columns: {
    subdomain: {
      type: String,
      unique: true,
    },
    rut: {
      type: String,
    },
    legalName: {
      type: String,
    },
    legalAddress: {
      type: String,
    },
    phoneNumber: {
      type: String,
    },
  },
  relations: {
    category: {
      target: 'tenantCategory',
      type: 'many-to-one',
    },
    connection: {
      target: 'connection',
      type: 'one-to-one',
      inverseSide: 'tenant',
    },
  },
})
