import { CustomerEntity } from '@/libs/domain/entities/tenant/customer.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const customerSchema = new BaseTenantEntitySchema<CustomerEntity>({
  name: 'customer',
  columns: {},
  relations: {
    user: {
      target: 'user',
      type: 'one-to-one',
      joinColumn: true,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    },
    orders: {
      target: 'order',
      type: 'one-to-many',
      inverseSide: 'customer',
    },
  },
})
