import { EmployeeEntity } from '@/libs/domain/entities/tenant/employee.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const employeeSchema = new BaseTenantEntitySchema<EmployeeEntity>({
  name: 'employee',
  columns: {},
  relations: {
    user: {
      target: 'user',
      type: 'one-to-one',
      joinColumn: true,
      onDelete: 'CASCADE',
      onUpdate: 'CASCADE',
    },
    transportPayments: {
      target: 'transportPayment',
      type: 'one-to-many',
      inverseSide: 'employee',
    },
  },
})
