import { InvoiceEntity } from '@/libs/domain/entities/tenant/invoice.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const invoiceSchema = new BaseTenantEntitySchema<InvoiceEntity>({
  name: 'invoice',
  columns: {
    pdfUrl: {
      type: String,
    },
  },
  relations: {
    order: {
      target: 'order',
      type: 'many-to-one',
    },
    shippings: {
      target: 'shipping',
      type: 'one-to-many',
      inverseSide: 'invoice',
    },
  },
})
