import { OrderQuoteEntity } from '@/libs/domain/entities/tenant/order-quote-entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const ordeQuoteSchema = new BaseTenantEntitySchema<OrderQuoteEntity>({
  name: 'orderQuote',
  columns: {
    description: {
      type: 'text',
      nullable: true,
    },
    price: {
      type: Number,
    },
    code: {
      type: Number,
    },
  },
  relations: {
    order: {
      target: 'order',
      type: 'one-to-one',
      joinColumn: true,
    },
  },
})
