import { OrderStatusHistoryEntity } from '@/libs/domain/entities/tenant/order-status-history.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'
import { OrderStatus } from '@/libs/domain/entities/tenant/_types'

export const orderStatusHistorySchema = new BaseTenantEntitySchema<OrderStatusHistoryEntity>({
  name: 'orderStatusHistory',
  columns: {
    status: {
      type: 'enum',
      enum: OrderStatus,
    },
  },
  relations: {
    order: {
      target: 'order',
      type: 'many-to-one',
    },
  },
})
