import { RoleEntity } from '@/libs/domain/entities/tenant/role.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const roleSchema = new BaseTenantEntitySchema<RoleEntity>({
  name: 'role',
  columns: {
    name: {
      type: String,
      unique: true,
    },
  },
  relations: {
    permissions: {
      type: 'many-to-many',
      target: 'permission',
      joinTable: true,
    },
    user: {
      type: 'many-to-many',
      target: 'user',
    },
  },
})
