import { ShippingStatusHistoryEntity } from '@/libs/domain/entities/tenant/shipping-status-history.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'
import { ShippingStatus } from '@/libs/domain/entities/tenant/_types'

export const shippingStatusHistorySchema = new BaseTenantEntitySchema<ShippingStatusHistoryEntity>({
  name: 'shippingStatusHistory',
  columns: {
    status: {
      type: 'enum',
      enum: ShippingStatus,
    },
  },

  relations: {
    shipping: {
      target: 'shipping',
      type: 'many-to-one',
    },
  },
})
