import { TransportCompanyEntity } from '@/libs/domain/entities/tenant/transport-company.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const transportCompanySchema = new BaseTenantEntitySchema<TransportCompanyEntity>({
  name: 'transportCompany',
  columns: {
    rut: {
      type: String,
      unique: true,
    },
    legalName: {
      type: String,
    },
    legalAddress: {
      type: String,
    },
    phoneNumber: {
      type: String,
    },
    email: {
      type: String,
      unique: true,
    },
  },
  relations: {
    transportPayments: {
      target: 'transportPayment',
      type: 'one-to-many',
      inverseSide: 'transportCompany',
    },
    shippings: {
      target: 'shipping',
      type: 'one-to-many',
      inverseSide: 'transportCompany',
    },
    drivers: {
      target: 'driver',
      type: 'one-to-many',
      inverseSide: 'transportCompany',
    },
  },
})
