import { Injectable } from '@/core/api/di/decorators'
import { MailSendPayload, MailerService } from '@/libs/domain/services/mailer.service'
import { mailerQueue } from '../queues/mail.queue'

@Injectable()
export class NodeMailerService implements MailerService {
  private readonly queue = mailerQueue

  async sendEmail(payload: MailSendPayload): Promise<void> {
    this.queue.addJob('sendEmail', payload)
  }
}
